/*
Copyright (c) 2010 by Drake Justice <djustice.kde@gmail.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

*/

#ifndef VIDEOFILE_H
#define VIDEOFILE_H

#include <QObject>
#include <QProcess>


class VideoFile : public QObject
{
  Q_OBJECT
  public:
      VideoFile(const QString& filename);
      int duration;
      bool missingHeader;
      bool corrupt;

  private:
      QProcess *m_process;
      QString m_filename;
};

#endif // VIDEOFILE_H
